JmxAgentDefinitionParser (Mule ESB 2.2.1 API)
Keywords: org.mule.module.management.config.JmxAgentDefinitionParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.config
Class JmxAgentDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.mule.config.spring.parsers.AbstractMuleBeanDefinitionParser
              org.mule.module.management.config.JmxAgentDefinitionParser

All Implemented Interfaces:
  MuleDefinitionParser, MuleDefinitionParserConfiguration, org.springframework.beans.factory.xml.BeanDefinitionParser

    public class JmxAgentDefinitionParser

extends AbstractMuleBeanDefinitionParser

Field Summary
`static String` | `CONNECTOR_SERVER`

Fields inherited from class org.mule.config.spring.parsers.AbstractMuleBeanDefinitionParser
`ATTRIBUTE_CLASS, ATTRIBUTE_ID, ATTRIBUTE_NAME, ATTRIBUTE_REF, ATTRIBUTE_REF_SUFFIX, ATTRIBUTE_REFS, ATTRIBUTE_REFS_SUFFIX, beanPropertyConfiguration, logger, ROOT_ELEMENT, singleton`

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE`

Constructor Summary
`JmxAgentDefinitionParser()`

Method Summary
`protected Class` | `getBeanClass(Element element)` Determine the bean class corresponding to the supplied `Element`.
`protected void` | `postProcess(org.springframework.beans.factory.xml.ParserContext context, BeanAssembler assembler, Element element)` Hook method that derived classes can implement to inspect/change a bean definition after parsing is complete.

Methods inherited from class org.mule.config.spring.parsers.AbstractMuleBeanDefinitionParser
`addAlias, addBeanFlag, addCollection, addIgnored, addMapping, addMapping, addMapping, addReference, checkElementNameUnique, createBeanDefinitionBuilder, doParse, getBeanAssembler, getBeanAssemblerFactory, getBeanClassFromAttribute, getBeanName, getClassConstraint, getClassInternal, getParserContext, getRegistry, isAllowClassAttribute, isSingleton, isTopLevel, muleParse, parseInternal, preProcess, processProperty, registerPostProcessor, registerPreProcessor, removeIgnored, resolveId, setAllowClassAttribute, setBeanAssemblerFactory, setClassConstraint, setIgnoredDefault, setParserContext, setRegistry`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.xml.BeanDefinitionParser
`parse`

Field Detail

### CONNECTOR_SERVER

    public static final String CONNECTOR_SERVER

See Also:
  Constant Field Values

Constructor Detail

### JmxAgentDefinitionParser

    public JmxAgentDefinitionParser()

Method Detail

### getBeanClass

    protected Class getBeanClass(Element element)

  Description copied from class: `AbstractMuleBeanDefinitionParser`
  Determine the bean class corresponding to the supplied `Element`.

  Specified by:
    `getBeanClass` in class `AbstractMuleBeanDefinitionParser`
  Parameters:
    `element` - the `Element` that is being parsed
  Returns:
    the `Class` of the bean that is being defined via parsing the supplied `Element` (must not be `null`)
  See Also:
    `AbstractMuleBeanDefinitionParser.parseInternal(org.w3c.dom.Element,ParserContext)`

### postProcess

    protected void postProcess(org.springframework.beans.factory.xml.ParserContext context,
                               BeanAssembler assembler,
                               Element element)

  Description copied from class: `AbstractMuleBeanDefinitionParser`
  Hook method that derived classes can implement to inspect/change a bean definition after parsing is complete.

  Overrides:
    `postProcess` in class `AbstractMuleBeanDefinitionParser`
    `assembler` - the parsed (and probably totally defined) bean definition being built
    `element` - the XML element that was the source of the bean definition's metadata

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.